--- old/usr/src/lib/libdladm/common/libdladm.h	Wed Feb  6 15:51:12 2019
+++ new/usr/src/lib/libdladm/common/libdladm.h	Wed Feb  6 15:51:12 2019
@@ -22,6 +22,10 @@
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019 OmniOS Community Edition (OmniOSce) Association
+ */
+
 #ifndef _LIBDLADM_H
 #define	_LIBDLADM_H
 
@@ -29,6 +33,7 @@
 #include <sys/dld.h>
 #include <sys/dlpi.h>
 #include <libnvpair.h>
+#include <kstat.h>
 
 /*
  * This file includes structures, macros and common routines shared by all
@@ -208,6 +213,12 @@
  * dlmgmtd are given access to the door file descriptor.
  */
 extern int	dladm_dld_fd(dladm_handle_t);
+/*
+ * Retrieve kstat_ctl_t* from handle.The libkstat handle is opened
+ * when the first caller needs it.This allows the library to share
+ * the kstat handle.
+ */
+extern kstat_ctl_t	*dladm_dld_kcp(dladm_handle_t);
 
 typedef struct dladm_arg_info {
 	const char	*ai_name;
